package com.philippeadjiman.rtseproto.twitter;

import java.util.List;

public interface TwitterSearch {
	/**
	 * For a given queryString, must return a list of {@link EnrichedTweet} 
	 * populated from the last tweets (w.r.t. the timeline).
	 * Only the last nbMaxTweet will be considered. 
	 * @param queryString
	 * @return
	 */
	public List<EnrichedTweet> search(String queryString, int maxNumberOfTweets);
}
