package com.philippeadjiman.rtseproto.util;

import java.util.List;

public class URLToolsMock implements URLTools {

	private URLToolsNaiveImpl urlToolsNaive = new URLToolsNaiveImpl();

	@Override
	public List<String> extractURLs(String text) {
		//the naive implementation is ok for mock
		return urlToolsNaive.extractURLs(text);
	}

	@Override
	public String urlExpander(String address) {
		if( address == null )
			return null;

		if( address.equals("http://bit.ly/79WYVg") || address.equals("http://tinyurl.com/ydelusf") ){
			return "http://www.youtube.com/watch?v=7SKTy4d3vTU";
		}
		else if( address.equals("http://bit.ly/38rMnX") ){
			return "http://www.youtube.com/user/salesmello";
		}
		else return address;

	}

}
